## Tcl8.5.14/Tk8.5.14 Documentation > TclCmd > lreverse

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

### NAME

lreverse - Reverse the order of a list

### SYNOPSIS

lreverse list

### DESCRIPTION

The lreverse command returns a list that has the same elements as its input list, list, except with the elements in the reverse order.

### EXAMPLES

    lreverse {a a b c}
          → c b a a
    lreverse {a b {c d} e f}
          → f e {c d} b a

### SEE ALSO

list, lsearch, lsort

### KEYWORDS

element, list, reverse
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 2006 by Donal K. Fellows. All rights reserved.